import http from '../http';

/**
 * 拉取刷新微信消息
 * @returns 
 */
export const refreshList = () => {
  return http.get('/yb/day_new/refresh')
}

/**
 * 翻译消息
 * @returns 
 */
export const translateMsg = () => {
  return http.get('/yb/day_new/translate')
}

/**
 * 获取消息
 * @returns  PageSize CurrentIndex
 */
export const getList = params => {
  return http.get('/yb/day_new/list',params)
}

/**
 * 删除消息
 * @returns  MsgId
 */
export const delMsg = params => {
  return http.post('/yb/day_new/delete',params)
}

/**
 * 生成报告
 * @returns  
 */
export const translateReport = params => {
  return http.post('/yb/day_new/add_report',params)
}

/**
 * 获取配置
 * @returns 
 */
export const getConfig = () => {
  return http.get('/yb/day_new/report_default')
}

/**
 * 保存配置
 */
export const setConfig = (params)=>{
  return http.post('/yb/day_new/report_default/save',params)
}

/**
 * 编辑消息
 * @param  MsgId
 */
export const editMsg=params=>{
  return http.post('/yb/day_new/edit_content_en',params)
}